//
//  JSViewController.m
//  AnimatedImagesViewSampleApp
//
//  Created by Javier Soto on 2/15/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "JSViewController.h"

#import <QuartzCore/QuartzCore.h>

@interface JSViewController()

@property (strong, nonatomic) IBOutlet JSAnimatedImagesView *animatedImagesView;
@property (strong, nonatomic) IBOutlet UIView *infoBox;

@end

@implementation JSViewController

#pragma mark - View Life Cycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    self.animatedImagesView.dataSource = self;
    
    self.infoBox.layer.cornerRadius = 6;
}

#pragma mark - JSAnimatedImagesViewDataSource Methods

- (NSUInteger)animatedImagesNumberOfImages:(JSAnimatedImagesView *)animatedImagesView
{
    return 3;
}

- (UIImage *)animatedImagesView:(JSAnimatedImagesView *)animatedImagesView imageAtIndex:(NSUInteger)index
{
    return [UIImage imageNamed:[NSString stringWithFormat:@"image%d.jpg", index + 1]];
}

#pragma mark - UI

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation
{
    return (toInterfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

#ifdef __IPHONE_6_0
- (NSUInteger)supportedInterfaceOrientations
{
    return UIInterfaceOrientationMaskAllButUpsideDown;
}
#endif

@end